var express = require('express');
var app = express();
var fs = require("fs");

app.get('/listStreamData', function(req, res) {

    res.setHeader('Connection', 'Transfer-Encoding');
    res.setHeader('Content-Type', 'text/event-stream/json; charset=utf-8');
    res.setHeader('Transfer-Encoding', 'chunked');
    res.setHeader('Connection', 'close');

    var i = 0;
    var interval = setInterval(function() {
        i++;
        res.write(JSON.stringify({
            "Streaming Data": "" + i
        }) + "\r")

        if (i == 100000) {
            clearInterval(interval);
            res.end();

        }
    }, 2000);

})

var server = app.listen(8081, function() {
    var host = server.address().address
    var port = server.address().port
    console.log("Example app listening at http://%s:%s", host, port)
})